<?php

namespace kernel\app_themes\custom;

use kernel\modules\menu\service\MenuService;
use kernel\services\MigrationService;

class CustomTheme
{
    public MenuService $menuService;
    public MigrationService $migrationService;

    public function __construct()
    {
        $this->menuService = new MenuService();
        $this->migrationService = new MigrationService();
    }

    /**
     * @throws \Exception
     */
    public function init(): void
    {
        //TODO
    }

    public function deactivate(): void
    {
        //TODO
    }
}